Skip to content
Compare
Choose a tag to compare

AmiSSL 5.1

@Futaura Futaura released this
· 5 commits to master since this release
04240cd
Compare
Choose a tag to compare

Downloads License Donate Twitter Follow

About

This is version 5.1 of the open-source based AmiSSL library for Amiga based operating systems. AmiSSL v5 is a new major release which has been updated with full compatibility with OpenSSL 3.0. This includes important security related fixes, a built-in HTTP(S) client and comes with new encryption ciphers which are required nowadays to connect to modern SSL-based services such as HTTPS and SSH.

Changes

  • Switched to OpenSSL 3.0 and updated backend to full compatibility with the latest OpenSSL 3.0.3 (3.5.2022) version, which brings new features, such as a built-in HTTP(S) client, along with security and bug fixes.
  • Updated root certificates to latest Mozilla-based bundle provided by https://curl.se/docs/caextract.html dated 26.4.2022.
  • Split AmiSSL release archive into smaller OS specific and SDK archives.
  • OpenSSL tool now has a proper $VER string, with the version number matching the AmiSSL release version number.
  • Fixed OpenSSL UI function m68k/ppc crosscalls, reinstating code from AmiSSL v3, that was unfortunately removed in AmiSSL v4.
  • Added new streamlined OpenAmiSSLTags/TagList() function to amisslmaster.library which simplifies the opening of AmiSSL.
  • Added simple httpget example code which shows how applications can use the new built-in HTTP(S) client.
  • Added full autodocs for all the Amiga specific interface functions.
  • Improved and structured the developer README-SDK file.
  • Added OpenSSL stub link libraries for OS3 (GCC) and OS4 (GCC & VBCC).
  • AmiSSL and OpenSSL switched to the Apache License, Version 2.0.
  • We have a new homepage at https://amissl.org which provides links to all AmiSSL resources, old and new.

For details on all changes, see the full commit log.

Backwards Compatibility

All applications compiled to use previous versions of AmiSSL v5 will automatically use this latest version once installed. Old applications will continue to use AmiSSL v4 or older and will need to be recompiled with the updated SDK in order to start using AmiSSL v5. Besides this difference, AmiSSL v5 can be installed on top of any previous AmiSSL versions, which ensures that applications compiled for AmiSSL v1/v2/v3/v4 continue to work.

Requirements

AmigaOS 4.0+/PPC, AmigaOS 3.0+/68020+ or MorphOS

IMPORTANT NOTE

This release comes with binaries for the AmigaOS4/PPC and AmigaOS3/m68k platform only. Unfortunately, due to lack of motivated developers we couldn't provide native binaries for the MorphOS/PPC or AROS (PPC, i386, x86_64) platform. If you are, however, interested in seeing AmiSSL v5 being ported to these other Amiga-based platforms, please try to find motivated and talented developers who join our team as maintainers for these alternative platforms. In addition, if you are a MorphOS or AROS developer yourself, feel free to send pull requests to see your platform supported in one of the next releases.

Download

Please find the necessary OS specific installation archives and the developer SDK attached to this release below. The SHA256 checksums for the archives are:

ee0e506ccf9157ac665b4644fdd38774e515c3157384c7eaf79f15a498791e37  AmiSSL-5.1-OS3.lha
8c014c14dd91b2cd285d3b4ce041869d67e8712bd8a9b8d72e11591c5a65115a  AmiSSL-5.1-OS4.lha
7abb66e05a226822c2f82eac7b1357af5aaaf75239042784bae2d5c8c7e4704c  AmiSSL-5.1-SDK.lha